View Issue Details

IDProjectCategoryView StatusLast Update
0014949MediaMonkey (current)Framework: Taggingpublic2018-07-09 14:08
Reporterlowlander 
PriorityimmediateSeverityblockReproducibilityrandom
Status closedResolutionfixed 
Product Version4.1.21 
Target Version4.1.22Fixed in Version4.1.21 
Summary0014949: Tagging fails FLAC (regression)
DescriptionMediaMonkey can fail to tag Artwork on occasion with FLAC files. Only seen on 4.1.21.
Steps To ReproduceArtwork logs are attempt to embed Artwork (fails).
Tagging log shows a lot of weirdness going on. First it covers tagging Genre & Rating, then dragging a copy of 1 of the files to NP (no tags whatsoever and then an attempt to scan a folder with a copy (no import happens).
TagsNo tags attached.
Fixed in build1874

Relationships

related to 0014922 resolvedmichal MediaMonkey 5 Slow parsing of AIFF files. 
related to 0014192 closedmichal MediaMonkey (current) Tagging: Tagging Files with large Album Art can freeze MMW and Whole System 

Activities

lowlander

2018-07-05 16:41

developer  

MM4 Artwork fails to save.LOG (168,122 bytes)
MM4 Artwork fails to save2.LOG (219,751 bytes)

lowlander

2018-07-05 16:55

developer  

MM4 Tagging fails.LOG (224,104 bytes)

michal

2018-07-06 08:03

developer   ~0050709

Reproduced even more serious problem. It seems to damage files sometimes.

michal

2018-07-06 10:00

developer   ~0050710

Last edited: 2018-07-06 10:06

View 2 revisions

Fixed in build 1874. It was related to tagging FLAC files, which already contained artworks larger than approx. 127kB.

peke

2018-07-08 14:08

developer   ~0050722

Verified 1874 after clarification by Michal in thread, as it was not clear about relation to 0014192 and large album arts.

Now complete testing are done no file corruption happen in test sample of 2000 of tracks with multiple Album Arts size 1-2MB